Name: curlpp
Version: 0.7.3
Release: 15%{?dist}
Summary: A C++ wrapper for libcURL

Group: System Environment/Libraries
License: MIT
URL: http://curlpp.org/
Source0: http://curlpp.googlecode.com/files/curlpp-%{version}.tar.gz

# ARM 64
Patch0:  curlpp-aarch64.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: boost-devel
BuildRequires: curl-devel

%description
cURLpp is a C++ wrapper for libcURL.


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: boost-devel
Requires: curl-devel
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b aarch64

# Convert CRLF line endings to LF in the examples
for file in examples/*.cpp
do
	sed 's/\r//' $file > $file.new && \
	touch -r $file $file.new && \
	mv $file.new $file
done

# remove deps on global.h which in turn pulls in config.h
sed -i '28 d' include/curlpp/Types.hpp


%build
%configure --disable-static
make %{?_smp_mflags} CPPFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Unwanted library files
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
# Useless header file
# rm -f %{buildroot}%{_includedir}/curlpp/config.win32*


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CHANGES
%{_libdir}/libcurlpp.so.*
%{_libdir}/libutilspp.so.*


%files devel
%defattr(-,root,root,-)
%doc examples/*.cpp examples/README doc/guide.pdf
%{_bindir}/curlpp-config
%{_includedir}/curlpp/
%{_includedir}/utilspp/
%{_libdir}/libcurlpp.so
%{_libdir}/libutilspp.so
%{_libdir}/pkgconfig/curlpp.pc



%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.7.3-14
- Rebuild for boost 1.54.0

* Sun Mar 24 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.7.3-13
- Complete spec

* Sun Mar 24 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.7.3-12
- Add patch for ARM 64 support
- https://bugzilla.redhat.com/show_bug.cgi?id=925210

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.7.3-11
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.7.3-10
- Rebuild for Boost-1.53.0

* Mon Jul 23 2012 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-9
- Fix build 

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 19 2012 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-7
- Remove config.h

* Fri Jan 27 2012 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-6
- Added missing configuration header file

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-4
- Changed libcurl-devel dependency to curl-devel for EPEL5 compatibility

* Tue Jul 19 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-3
- Removed wildcard for selecting pkgconfig file
- Added trailing slash for directories in file listing
- Added doc/guide.pdf to development documentation

* Tue Jul 19 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-2
- Added boost-devel, libcurl-devel and pkgconfig as requirements to devel
  subpackage.
- Complete line-ending conversion once all steps are done
- Added default file attributes to devel subpackage
- Added verbosity to file selectors

* Mon Jul 18 2011 Veeti Paananen <veeti.paananen@rojekti.fi> - 0.7.3-1
- Initial package.
